# frozen_string_literal: true

require_relative "lib/lit/version"

Gem::Specification.new do |spec|
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5.0")

  spec.name    = "litl"
  spec.version = LIT::VERSION
  spec.authors = %w[Alexander Komarov]
  spec.email   = %w[ak@akxcv.com]

  spec.summary     = "LIT object API"
  spec.description = "LIT object generator and validator"
  # spec.homepage    = 'TODO'
  spec.license     = "MIT"

  # spec.metadata['homepage_uri']    = spec.homepage
  # spec.metadata['source_code_uri'] = 'TODO'

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w[lib]

  spec.add_dependency "litl-parser", LIT::VERSION

  spec.add_development_dependency "bundler",          "~> 2.1"
  spec.add_development_dependency "rake",             "~> 13.0"
  spec.add_development_dependency "rspec",            "~> 3.9"
  spec.add_development_dependency "armitage-rubocop", "~> 0.79"
  spec.add_development_dependency "rubocop-config-umbrellio", "~> 0.79"
  spec.add_development_dependency "simplecov",        "~> 0.17"
  spec.add_development_dependency "pry",              "~> 0.12"
end
